using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Demo.Models;

namespace Demo._3_Grid
{
    public partial class batch : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }


        public IQueryable<BoardGame> GetGames()
        {
            
            return BoardGameRepository.GetGames();

        }

        public void SaveGame(BoardGame game)
        {
            BoardGameRepository.Update(game.Id, game);
        }

        public void AddGame(BoardGame game)
        {
            BoardGameRepository.Add(game);
        }

    }
}